## NAME

v.univar - Calculates univariate statistics for attribute. Variance and standard deviation is calculated only for points if specified

## KEYWORDS

vector

## SYNOPSIS

v.univar
v.univar help
v.univar [-g] map=name [type=string[,string,...]] column=string [where=sql_query] [layer=integer]

### Flags:

-g
  Print the stats in shell script style

### Parameters:

map=name
  Name of input vector map
type=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area
  Default: point,line,boundary,centroid,area
column=string
  Column name
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword. (example: income < 1000 and inhab >= 10000)
layer=integer
  Layer number
  Default: 1

## DESCRIPTION

v.univar calculates univariate statistics of vector map features. This includes the number of features counted, minimum and maximum values, and range. Variance and standard deviation is calculated only for points if `type=point` is defined.

## EXAMPLE

    g.region rast=elevation.10m -p
    v.random out=samples n=100
    v.db.addtable samples col="heights double precision"
    v.what.rast samples rast=elevation.10m col=heights
    v.db.select samples

    v.univar samples col=heights type=point

## SEE ALSO

v.neighbors

## AUTHOR

Radim Blazek, ITC-irst

Last changed: $Date: 2005/12/28 21:32:42 $

Main index - vector index - Full index